ByteBuffer Class Reference

A byte buffer. More...

## Public Member Functions

| ByteBuffer (char *data, size_t capacity)
| ~ByteBuffer ()
void | clear ()
void | flip ()
char * | data ()
const char * | data () const
char * | current ()
const char * | current () const
size_t | limit () const
void | limit (size_t newLimit)
size_t | position () const
size_t | remaining () const
void | position (size_t newPosition)
bool | put (char byte)

## Detailed Description

A byte buffer.

## Constructor & Destructor Documentation

## ByteBuffer()

ByteBuffer | ( | char * | data,
|  | size_t | capacity
| ) |  |

## ~ByteBuffer()

~ByteBuffer | ( |  | ) |

## Member Function Documentation

## clear()

void clear | ( |  | ) |

## current() [1/2]

char* current | ( |  | ) |

inline

## current() [2/2]

const char* current | ( |  | ) | const

inline

## data() [1/2]

char* data | ( |  | ) |

inline

## data() [2/2]

const char* data | ( |  | ) | const

inline

## flip()

void flip | ( |  | ) |

## limit() [1/2]

size_t limit | ( |  | ) | const

inline

## limit() [2/2]

void limit | ( | size_t | newLimit | ) |

## position() [1/2]

size_t position | ( |  | ) | const

inline

## position() [2/2]

void position | ( | size_t | newPosition | ) |

## put()

bool put | ( | char | byte | ) |

## remaining()

size_t remaining | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- bytebuffer.h